Skip to content
Start here

Delete transformer

logpush.transformers.delete(inttransformer_id, TransformerDeleteParams**kwargs) -> TransformerDeleteResponse
DELETE/accounts/{account_id}/logpush/transformers/{transformer_id}

Deletes a custom log transformer. Returns 409 Conflict if any active logpush jobs reference the transformer.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Logs Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
transformer_id: int

The transformer ID.

minimum1
ReturnsExpand Collapse
class TransformerDeleteResponse:
id: Optional[int]

The deleted transformer’s ID.

Delete transformer

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
transformer = client.logpush.transformers.delete(
    transformer_id=42,
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(transformer.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 42
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": 42
  }
}